#ifndef C_SHD_COMP_DODGE_H__
#define C_SHD_COMP_DODGE_H__

#include "../cShader_CG.h"


class cShdCompDodge : public cShader_CG {
public:
	cShdCompDodge( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof );

public:
	void init_parameters() {}

protected:
	void enable_parameters() {}
	void disable_parameters() {}
};


//////////////////////////////////////////////////////////////////////////

inline
cShdCompDodge::cShdCompDodge( CGcontext &_context, CGprofile &_vprof, CGprofile &_fprof ) \
	: cShader_CG(_context, _vprof, _fprof)
{
	load_from_files( "cg_comp_dodge_vert.cg", "cg_comp_dodge_frag.cg" );

	return;
}


#endif
